︠b65ae624-6bef-4230-80b2-adb177d6f39fs︠
def simpsons_rule(fcn,a,b,n):
# output: simpsons rule approx of int_a^b fcn(x)dx using n steps (n must be an even integer)
	Deltax = (b-a)*1.0/n
	n2=int(n/2)
	coeffs = [4,2]*n2
	coeffs = [1] +coeffs[:n-1]+[1]
	valsf = [f(a+Deltax*i) for i in range(n+1)]
	return (Deltax/3)*sum([coeffs[i]*valsf[i] for i in range(n+1)])

#Example
n=10;
f(x)=1/x
print simpsons_rule(f(x),1,2,n).n();
︡9419a04c-aaf6-4b72-a64c-dbc6fc0e071d︡{"stdout":"0.693150230688930"}︡{"stdout":"\n"}︡{"done":true}︡
︠63be10c4-ebfd-44df-a31b-aff525df7620︠
︡6981595b-928e-4e6e-ad40-60551723694f︡
︠013d60f1-4e0f-483c-b893-8006a9216e7a︠


def trapezoid_rule(fcn,a,b,n):
# output: trapezoid rule approx of int_a^b fcn(x)dx using n steps
	Deltax = (b-a)*1.0/n
	coeffs = [2]*(n-1)
	coeffs = [1]+coeffs+[1]
	valsf = [f(a+Deltax*i) for i in range(n+1)]
	return (Deltax/2)*sum([coeffs[i]*valsf[i] for i in range(n+1)])

#Example
n=10;
f(x)=1/x
print trapezoid_rule(f(x),1,2,n).n();
︡7b075f9f-e8ec-4a85-9224-2c83474e1883︡{"stdout":"0.693771403175428\n"}︡{"done":true}︡
︠c17e670b-31b7-4bbd-a3ae-8857aaa9035bs︠



def midpoint_rule(fcn,a,b,n):
# output: midpoint rule approx of int_a^b fcn(x)dx using n steps
	Deltax = (b-a)*1.0/n
	xs=[a+Deltax*i for i in range(n+1)]
	ysmid=[f((xs[i]+xs[i+1])/2) for i in range(n)]
	return Deltax*sum(ysmid)

#Example
n=10;
f(x)=1/x
print midpoint_rule(f(x),1,2,n).n();
︡1ab8976b-6af2-4914-9b9d-1a0560e65dc9︡{"stdout":"0.692835360409960\n"}︡{"done":true}︡
︠ba037ca1-29eb-4aaa-9a31-4ae6f1265d4fs︠


def righthand_rs(fcn,a,b,n):
# output: right-hand riemann sum approx of int_a^b fcn(x)dx using n steps
	Deltax = (b-a)*1.0/n
	return Deltax*sum([f(a+Deltax*(i+1)) for i in range(n)])

#Example
n=10
f(x)=1/x
print righthand_rs(f(x),1,2,n).n();
︡c0becc3b-edf4-4a6a-8cb2-45e56202221d︡{"stdout":"0.668771403175428\n"}︡{"done":true}︡
︠e699064e-7d60-4269-9bb9-5e6a4d3a7e99s︠

def lefthand_rs(fcn,a,b,n):
	# output: left-hand riemann sum approx of int_a^n fcn(x)dx using n steps
	Deltax = (b-a)/n
	return Deltax*sum([f(a+Deltax*i) for i in range(n)])

#Example
n=6
f(x)=1/x
print lefthand_rs(f(x),1,2,n).n();
︡2a30c656-7394-425e-b2d5-42262f1d55ba︡{"stdout":"0.736544011544012\n"}︡{"done":true}︡
︠19c2197d-4886-463e-9ceb-8c4bafcba897s︠

# the actual integral gives
f(x)=1/x
integral(f , (x,1,2))
N(log(2))
︡496da3d2-393e-410b-98af-13c6d6a99615︡{"stdout":"log(2)\n"}︡{"stdout":"0.693147180559945\n"}︡{"done":true}︡
︠66400cd7-e52f-466a-a9c5-de80f53bb4b4s︠



x = var('x') 
f1(x) = 1/x
f = Piecewise([[(1,2),f1]]) 
trapezoid_sum = f.trapezoid(10) 
P = f.plot(rgbcolor=(0,0,1), plot_points=40)
Q = trapezoid_sum.plot(rgbcolor=(1,0,0), plot_points=40) 
L = add([line([[a,0],[a,f(x=a)]], rgbcolor=(1,0,0)) for (a,b), f in trapezoid_sum.list()])
M = line([[2,0],[2,f1(2)]], rgbcolor=(1,0,0)) 
show(P + Q + L + M)
︡51582d94-b31d-439c-af90-a6a5138c6e99︡{"file":{"filename":"/home/user/.sage/temp/project-a91dd396-8c74-4597-8155-2d0574d528d3/119/tmp_kzrKW2.svg","show":true,"text":null,"uuid":"5c488898-e73a-4beb-a980-3a647655761f"},"once":false}︡{"done":true}︡
︠764f02b8-11d9-4c4a-aad1-9bbd6dba4fc0s︠


f(x) = x^2-5*x+10
f = Piecewise([[(0,10), f]])
g = f.riemann_sum(6, mode="midpoint")
F = f.plot(color="blue")
R= add([line([[a,0],[a,f(x=a)],[b,f(x=b)],[b,0]], color="red") for (a,b), f in g.list()])
show(F+R)
︡1532fac0-7496-418c-8359-b0dc011d03ad︡{"file":{"filename":"/home/user/.sage/temp/project-a91dd396-8c74-4597-8155-2d0574d528d3/154/tmp_YmKtYk.svg","show":true,"text":null,"uuid":"76905f27-428c-4bc1-9706-173f943aa302"},"once":false}︡{"done":true}︡
︠4ac891be-ac1e-4d3e-bb0c-fccb08128306︠

integral(1/(x^2+1),(x, 0, oo)) # we getting pi/2
plot(1/(x^2+1),x,0,200) # this gives us that the idea that integral of the function will converge from 0 to infinity.
︡02620217-15c8-4c07-8776-48c534bd17dd︡{"stdout":"1/2*pi\n"}︡{"file":{"filename":"/home/user/.sage/temp/project-a91dd396-8c74-4597-8155-2d0574d528d3/288/tmp_frRSxl.svg","show":true,"text":null,"uuid":"83eb4693-bad1-4e0d-a57a-2e662fc76656"},"once":false}︡{"done":true}︡
︠ccd448da-c820-441f-aea8-348d3842d6fb︠

plot(1/(sqrt(x-2)),2,5) # discontinuous integrands (Improper integral of type 2)
integral(1/(sqrt(x-2)),2,5) # this integral is convergent

︡462771ff-d20e-40dd-86b8-92118d25e874︡{"file":{"filename":"/home/user/.sage/temp/project-a91dd396-8c74-4597-8155-2d0574d528d3/124/tmp_e0fx0f.svg","text":null,"uuid":"e26df6d4-7ffc-4a0b-b62d-ab951ae66f09"},"once":false}︡{"stdout":"2*sqrt(3)\n"}︡{"done":true}︡
︠e95763de-47a9-43ac-a2c6-bec80f6287bcs︠


f(x)=1/(sqrt(x^2-x))
g(x)=1/x
plot(f, 3, 7,gridlines='minor', frame=True, color='red')+ plot(g,3 ,7)
︡ac777855-9427-4e61-9f17-ba61c0e57230︡{"file":{"filename":"/home/user/.sage/temp/project-a91dd396-8c74-4597-8155-2d0574d528d3/529/tmp_gKKYGf.svg","show":true,"text":null,"uuid":"47f3bded-1d55-4fc7-be92-6d7ed3425ea4"},"once":false}︡{"done":true}︡
︠ac275e0a-4380-4b2d-8bda-113cb323858es︠


f(x)=x/(sqrt(x^2+1))
g(x)=x^4-x
plot(f, 0, 1.4,gridlines='minor', frame=True)+ plot(g,0 ,1.4)+ text('$\int_0^{1.18}(f-g)(x)\,dx$',(0.5,2),fontsize=20)
︡db75dbf1-de59-4236-b785-1d672c670d93︡{"file":{"filename":"/home/user/.sage/temp/project-a91dd396-8c74-4597-8155-2d0574d528d3/114/tmp_jF6dq0.svg","show":true,"text":null,"uuid":"946cd42a-0f12-40f9-b362-6aac8a932d27"},"once":false}︡{"done":true}︡
︠f997487e-26cb-4394-9d04-4d3c4c780d9ds︠



f(x)=x^2
g(x)=2*x-x^2
plot(f(x), 0, 2)+ plot(g(x),0 ,2)
integral(g(x)-f(x),(x,0,1))
q(x)=f(x)-g(x)
solve(q(x),x)
︡013a6a14-75da-426b-83e5-d56c0f3b5240︡{"file":{"filename":"/home/user/.sage/temp/project-a91dd396-8c74-4597-8155-2d0574d528d3/114/tmp_UDtMh2.svg","show":true,"text":null,"uuid":"66134a09-968c-49c2-854a-5f1cd421905b"},"once":false}︡{"stdout":"1/3"}︡{"stdout":"\n"}︡{"stdout":"[x == 0, x == 1]\n"}︡{"done":true}︡
︠b95ff1b0-1919-4eb1-b2e2-79ce97a9ddces︠

f(x)=e^(x)
g(x)=x
plot(f(x), 0, 1,color='green', legend_label='f(x)=e^(x)')+ plot(g(x),0 ,1,color='red', legend_label='g(x)=x')
integral(f(x)-g(x),(x,0,1))
︡ae557d21-1db9-4421-ace8-8364cf4ea885︡{"file":{"filename":"/home/user/.sage/temp/project-a91dd396-8c74-4597-8155-2d0574d528d3/114/tmp_judU1X.svg","show":true,"text":null,"uuid":"6565e0fa-3d20-45fc-9f85-9c72e4ab119d"},"once":false}︡{"stdout":"e - 3/2\n"}︡{"done":true}︡
︠6d0c7eba-98a3-44b2-8c53-e59dc4001683s︠


f(x)=x/(sqrt(x^2+1))
g(x)=x^4-x
plot(f(x), 0, 1.4,gridlines=True, frame=False)+ plot(g(x),0 ,1.4)
integral(f(x)-g(x),(x,0,1.18))
q(x)=f(x)-g(x)
solve(q(x),x)
find_root(q(x), 1, 1.2)
︡b965bfc9-bd90-4a36-8282-5aca2e6e0f52︡{"file":{"filename":"/home/user/.sage/temp/project-a91dd396-8c74-4597-8155-2d0574d528d3/114/tmp_kTfSuR.svg","show":true,"text":null,"uuid":"77b75fd2-f95b-4780-82f8-946efd42d6ff"},"once":false}︡{"stdout":"0.7853869527188246\n"}︡{"stdout":"[x == 0, x^3 == (sqrt(x^2 + 1) + 1)/sqrt(x^2 + 1)]\n"}︡{"stdout":"1.1807757031062647"}︡{"stdout":"\n"}︡{"done":true}︡
︠a33317c8-c4c6-4cf7-944d-a6125aa95688s︠

solve(x^3-7*x^2+14*x-8, x)
︡34ab9262-a3e8-40d2-af76-5b798d3e9ec7︡{"stdout":"[x == 2, x == 4, x == 1]\n"}︡{"done":true}︡
︠b6800255-bac8-4fb9-a79e-e13d33222d2bs︠


find_root(cos(x)-x^2+1, 1,2)
︡387d36fc-d049-462d-8327-c06022a13649︡{"stdout":"1.1765019399018324"}︡{"stdout":"\n"}︡{"done":true}︡
︠59b8a513-a654-43a9-b3fc-108eae75da5as︠

f(x)=cos(x)
g(x)=x^2-1
plot(f, -2, 2,gridlines='minor', frame=True, color='red')+ plot(g, -2 ,2)
integral(2*(f-g),0,1.18)
︡8d243968-29dc-4025-9169-1d9ade0b175f︡{"file":{"filename":"/home/user/.sage/temp/project-a91dd396-8c74-4597-8155-2d0574d528d3/357/tmp_T_IUW5.svg","show":true,"text":null,"uuid":"cc17cc97-4555-4cbe-9f99-5c1dcd57c266"},"once":false}︡{"stdout":"3.113857358149374\n"}︡{"done":true}︡
︠890f176c-b55a-4b44-96d7-54fa6c33a009s︠

plot(atan(x)/(2+e^x),x)
︡424e8799-0b46-4c0c-8395-104801b64aa2︡{"file":{"filename":"/home/user/.sage/temp/project-a91dd396-8c74-4597-8155-2d0574d528d3/357/tmp_IcFI7m.svg","show":true,"text":null,"uuid":"c1522e81-2512-4d0b-b3eb-cd30c62c672b"},"once":false}︡{"done":true}︡
︠41a8e496-8183-481f-9eb0-a6034d648fc5s︠

s = 'sum (5*(-2/3)^(n-1),n,1,inf), simpsum'
SR(sage.calculus.calculus.maxima(s))
︡f7346e73-a12b-4bf7-9012-2fb3e8cb5e26︡{"stdout":"3"}︡{"stdout":"\n"}︡{"done":true}︡
︠cea7db02-7339-4bf6-a7c6-945da1e8d932s︠

s = 'sum (1/n^2,n,1,inf), simpsum'
SR(sage.calculus.calculus.maxima(s))
︡9e947bcb-908a-464e-9e5c-d56a751b44ea︡{"stdout":"1/6*pi^2\n"}︡{"done":true}︡
︠79245e1c-e2d3-4d7a-af4e-25b41e27ed5es︠

s = 'sum (1/2^n,n,1,inf), simpsum'
SR(sage.calculus.calculus.maxima(s))
︡8760a7b0-80db-46aa-b011-22d788f69dae︡{"stdout":"1\n"}︡{"done":true}︡
︠74a91c84-1fcd-400b-9314-f92393d339dcs︠


s = 'sum (1/2^n,n,1,5), simpsum'
SR(sage.calculus.calculus.maxima(s))
numerical_approx(maxima(s), digits=10)
︡acd65dca-bc00-44d3-9c87-d296fc7bd3dc︡{"stdout":"31/32\n"}︡{"stdout":"0.9687500000\n"}︡{"done":true}︡
︠173528e5-c703-4760-8993-90a49557e501s︠




print " Plot Slope Field "
t , v = var ("t,v")
pt = plot_slope_field ( 9.8-0.2*v , (t , 0 , 10) ,(v , 40 , 55) , plot_points = \
20)
show ( pt , aspect_ratio ='0.5')
︡37573331-4385-428c-8e29-cb3847c414de︡{"stdout":" Plot Slope Field \n"}︡{"file":{"filename":"/home/user/.sage/temp/project-a91dd396-8c74-4597-8155-2d0574d528d3/140/tmp_LNZZkt.svg","show":true,"text":null,"uuid":"d2e7d04a-2523-4420-86e0-7f890f576869"},"once":false}︡{"done":true}︡
︠157b1a32-abda-4fe5-85c9-7eea56fef4b4s︠

︡82def50a-2014-4414-97fe-84870097c891︡{"done":true}︡
︠1b8c33b5-3298-4f4c-ba49-b291761c6eebs︠
t = var('t')
x = function('x', t)
de = lambda v: diff(v,t) == 9.8-0.2*v
desolve(de(x),[x,t]);
︡841ffe6f-feb0-456f-bed7-8194906bbc1c︡{"stdout":"(_C + 49*e^(1/5*t))*e^(-1/5*t)\n"}︡{"done":true}︡
︠a0936306-f233-499a-a96b-3d2cbe0aa467s︠

print " Plot Slope Field "
t , p = var ("t,p")
pt = plot_slope_field ( 0.5*p-450 , (t , 0 , 10) ,(p , 800 , 1000) , plot_points = \
20)
show ( pt , aspect_ratio ='0.02')
︡f8184924-c7ee-42fe-a4a3-1f38e551e220︡{"stdout":" Plot Slope Field \n"}︡{"file":{"filename":"/home/user/.sage/temp/project-a91dd396-8c74-4597-8155-2d0574d528d3/140/tmp_qt2A_F.svg","show":true,"text":null,"uuid":"1659af32-75ed-42d6-8a7a-9dce12e9f76a"},"once":false}︡{"done":true}︡
︠0ef0023d-7812-4f50-9e68-e3315c8725a6r︠


t = var('t')
x = function('x', t)
de = lambda p: diff(p,t) == 0.5*p-450
desolve(de(x),[x,t]);
︡c4e367f8-71df-492f-9069-58179a97301c︡
︠d824bd2c-080d-4192-a970-a79e8358c918s︠

integrate(e^x/(3-e^(2*x)),x)
︡f0918b0c-c170-4315-964f-f659aba8a761︡{"stdout":"-1/6*sqrt(3)*log(-(sqrt(3) - e^x)/(sqrt(3) + e^x))"}︡{"stdout":"\n"}︡{"done":true}︡
︠f978d234-a9d7-43ec-9333-77d1255660c8s︠

plot(e^x/(3-e^(2*x)),(x,0.54,0.56))
︡9e653be0-1768-438c-b20d-0c438c33d685︡{"file":{"filename":"/home/user/.sage/temp/project-a91dd396-8c74-4597-8155-2d0574d528d3/174/tmp_63WBNd.svg","show":true,"text":null,"uuid":"edfcfb50-40b5-4cb9-948c-c09d6e35bfba"},"once":false}︡{"done":true}︡
︠a79feca6-1086-4679-b66a-7b8214c08df4s︠

integrate(1/(x**2),(x,1,oo))
︡1894d404-2175-463c-84ca-948882331ab2︡{"stdout":"1\n"}︡{"done":true}︡
︠1c60d21d-e16b-4e27-88f7-7682cac3f5des︠

k(x)=cos(x)
l(x)=(x^2)-1
solve(k(x)==l(x),x)
︡be782842-fb46-490c-bf68-0e3bd43bec43︡{"stdout":"[x == -sqrt(cos(x) + 1), x == sqrt(cos(x) + 1)]\n"}︡{"done":true}︡
︠6148d57f-a7d4-4a3e-8740-344130a5c031s︠
find_root(k(x)-l(x),-1.18,1.18)
︡c138772e-8f9c-4b52-bc8d-2a0adbebab91︡{"stdout":"1.1765019399018324\n"}︡{"done":true}︡
︠4fd0d921-5be1-490b-857b-349c1ad8674fs︠

f(x)=3*x
g(x)=(x^3)-x
plot((f(x),g(x)),x,0,3,figsize=5,ymin=-2,ymax=10,fill=True)
︡851ab34b-0aef-407d-9e86-7be51f6b360c︡{"file":{"filename":"/home/user/.sage/temp/project-a91dd396-8c74-4597-8155-2d0574d528d3/157/tmp_0PG4YQ.svg","show":true,"text":null,"uuid":"4089dba2-4276-4162-9168-f66dd66fa814"},"once":false}︡{"done":true}︡
︠d7886dd3-0ea7-49c0-bbe0-0c33af714b57s︠

solve(f(x)==g(x),x)
︡b2c94071-366e-4490-96ba-d3bcd84bca9e︡{"stdout":"[x == -2, x == 2, x == 0]"}︡{"stdout":"\n"}︡{"done":true}︡
︠25348ac8-7b4d-44b9-af2d-6293c384ba68s︠
integral(f(x)-g(x),x,0,2)
︡dc650d91-4979-4fe2-8ead-e818fcc00a7a︡{"stdout":"4\n"}︡{"done":true}︡
︠de4a0c3c-e0c6-41ca-aabe-16c25e819d18s︠

u = var('u')
f =u
g = u^2
a=revolution_plot3d(f, (u,0,2), show_curve=True, opacity=0.7).show(aspect_ratio=(1,1,1))
b=revolution_plot3d(g, (u,0,2), show_curve=True, opacity=0.7).show(aspect_ratio=(1,1,1))
(a+b).show()
︡174eec89-fdea-4b7d-be19-f88d76121bf6︡{"file":{"filename":"6bd9a3d7-5d05-4db6-a4ec-42efe77c1aee.sage3d","uuid":"6bd9a3d7-5d05-4db6-a4ec-42efe77c1aee"}}︡{"file":{"filename":"ee1dbec5-3c2e-499f-a33a-0fe215f105bc.sage3d","uuid":"ee1dbec5-3c2e-499f-a33a-0fe215f105bc"}}︡{"stderr":"Error in lines 6-6\nTraceback (most recent call last):\n  File \"/cocalc/lib/python2.7/site-packages/smc_sagews/sage_server.py\", line 1013, in execute\n    exec compile(block+'\\n', '', 'single') in namespace, locals\n  File \"\", line 1, in <module>\nTypeError: unsupported operand type(s) for +: 'NoneType' and 'NoneType'\n"}︡{"done":true}
︠bbd5515a-b43e-4201-bef9-bd4b2bf811e3︠
var('u,f')
f(u)=u^2+1
plot(f(u),u,0,3,figsize=3,fill=True)
︡e7dacaf2-61c3-47ed-bb8a-b396d266050e︡{"stdout":"(u, f)\n"}︡{"file":{"filename":"/home/user/.sage/temp/project-a91dd396-8c74-4597-8155-2d0574d528d3/502/tmp_xJvHRg.svg","show":true,"text":null,"uuid":"badbd4f0-8fd8-48b7-a303-5731b4cb7a59"},"once":false}︡{"done":true}︡
︠42a15c39-59a8-4cfe-94b3-734a38c3aa70s︠

var('u')
f(u)=sqrt(u)
revolution_plot3d(f(u),(u,0,1),show_curve=True,opacity=7)
︡de843e75-2dea-47ce-a6c9-fcff1d75071a︡{"stdout":"u\n"}︡{"file":{"filename":"7d033dc0-4f79-44cc-b0f7-a459b26f9e6b.sage3d","uuid":"7d033dc0-4f79-44cc-b0f7-a459b26f9e6b"}}︡{"done":true}︡
︠740f3dd3-9b9c-4956-9297-57357f8998bes︠
2*pi*integral(x*(1-x^2),x,0,1)
︡ab8291ca-712a-4aab-82b9-3e38e3a47e1b︡{"stdout":"1/2*pi\n"}︡{"done":true}︡










